hex-0.1.2: Convert strings into hexadecimal and back.

Copyright | (c) Taru Karttunen 2009
License | BSD-style
Maintainer | taruti@taruti.net
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Hex

Description

Convert strings into hexadecimal and back.

Synopsis

- class Hex t where

# Documentation

class Hex t where #

Convert strings into hexadecimal and back.

Minimal complete definition

hex, unhex

Methods

hex :: t -> t #

Convert string into hexadecimal.

unhex :: Monad m => t -> m t #

Convert from hexadecimal and fail on invalid input.

Instances

Hex String # |
Methods hex :: String -> String # unhex :: Monad m => String -> m String #
Hex ByteString # |
Methods hex :: ByteString -> ByteString # unhex :: Monad m => ByteString -> m ByteString #
Hex ByteString # |
Methods hex :: ByteString -> ByteString # unhex :: Monad m => ByteString -> m ByteString #